Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.assertion
Class AssertNotEquals

    java.lang.Object
      cascading.operation.BaseOperation<C>
          cascading.operation.assertion.BaseAssertion
              cascading.operation.assertion.AssertNotEquals

All Implemented Interfaces:
  Assertion, Operation, PlannedOperation, ValueAssertion, Serializable

    public class AssertNotEquals

extends BaseAssertion
implements ValueAssertion

Class AssertNotEquals asserts the number of constructor values is equal to the number of argument values `Tuple` and each constructor value is not `.equals()` to its corresponding argument value.

See Also:
  Serialized Form

Field Summary

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`AssertNotEquals(Object... values)` Constructor AssertEquals creates a new AssertEquals instance.

Method Summary
`void` | `doAssert(FlowProcess flowProcess, ValueAssertionCall assertionCall)` Method doAssert performs the assertion.
`boolean` | `equals(Object object)`
`Collection` | `getValues()`
`int` | `hashCode()`

Methods inherited from class cascading.operation.assertion.BaseAssertion
`fail, fail, getMessage, supportsPlannerLevel, throwFail, throwFail`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.PlannedOperation
`supportsPlannerLevel`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Constructor Detail

### AssertNotEquals

    @ConstructorProperties(value="values")
    public AssertNotEquals(Object... values)

  Constructor AssertEquals creates a new AssertEquals instance.

  Parameters:
    `values` - of type Object...

Method Detail

### getValues

    public Collection getValues()

### doAssert

    public void doAssert(FlowProcess flowProcess,
                         ValueAssertionCall assertionCall)

  Description copied from interface: `ValueAssertion`
  Method doAssert performs the assertion.

  Specified by:
    `doAssert` in interface `ValueAssertion`
  Parameters:
    `flowProcess` - of type FlowProcess
    `assertionCall` - of type ValueAssertionCall

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseAssertion`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseAssertion`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.